DeLi(cate) Forum

Full Version: makeconflicts support in pacman's makepkg
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
The latest pacman release introduces a support for makeconflicts checks in the makepkg script. Packages listed in the makeconflicts are not allowed to be installed during the build process of the package since they are known to have a negative impact on the build process. This is usually caused by bugs in the build scripts, macros, tools or makefiles contained in the upstream archives or by their improper configuration. The latest makepkg script is terminated listing all the conflicting packages installed.
Reference URL's